IPCALC(1)

NOM
ipcalc - effectue une simple manipulation des adresses IP

SYNOPSIS
ipcalc [OPTION]... <adresse IP>[/prefix] [masque réseau]

DESCRIPTION
ipcalc permet de trouver simplement les informations IP d'un hôte. Les diverses options indiquent quelles informations ipcalc doit afficher sur la sortie standard. Des options multiples peuvent être indiquées. Une adresse IP sur laquelle opérer doit être spécifiée. La plupart des opérations nécessite aussi un masque réseau ou un préfixe CIDR.

OPTIONS

-b, --broadcast
    Affiche l'adresse de diffusion de l'adresse IP donnée et son masque réseau.

-h, --hostname
    Affiche le nom d'hôte de l'adresse IP donnée.

-m, --netmask
    Calcule le masque réseau de l'adresse IP donnée. Suppose que l'adresse IP fait partie d'un réseau de classe A, B, ou C complet. De nombreux réseaux n'utilisent pas les masques réseau par défaut, dans ce cas une valeur incorrecte sera retournée.

-p, --prefix
    Indique le préfixe de l'adresse masque/IP.

-n, --network
    Indique l'adresse réseau de l'adresse IP et du masque donnés.

-s, --silent
    N'affiche jamais aucun message d'erreur.

AUTEURS
Erik Troan <ewt@redhat.com>
Preston Brown <pbrown@redhat.com>

RAPPORT DE BOGUES
Signaler les bogues dans notre système : http://bugzilla.redhat.com/bugzilla.

COPYRIGHT
Copyright © 1997-2001 Red Hat, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

VOIR AUSSI
ipcalc(3)